diff -ruN ExtUtils-MakeMaker-7.04.orig/lib/ExtUtils/MM_Unix.pm ExtUtils-MakeMaker-7.04/lib/ExtUtils/MM_Unix.pm
--- ExtUtils-MakeMaker-7.04.orig/lib/ExtUtils/MM_Unix.pm	2014-12-02 13:44:33.000000000 +0100
+++ ExtUtils-MakeMaker-7.04/lib/ExtUtils/MM_Unix.pm	2015-02-25 23:54:03.373862321 +0100
@@ -1606,6 +1606,16 @@
     $self->{FULLEXT} = $self->catdir(split /::/, $self->{NAME});
 
 
+    # Workaround for https://bugs.gentoo.org/show_bug.cgi?id=221179
+    if (!exists($self->{NO_PERLLOCAL})) {
+        $self->{NO_PERLLOCAL} = 1;
+    }
+
+    if (!exists($self->{NO_PACKLIST})) {
+        $self->{NO_PACKLIST} = 1;
+    }
+
+
     # Copied from DynaLoader:
 
     my(@modparts) = split(/::/,$self->{NAME});
diff -ruN ExtUtils-MakeMaker-7.04.orig/lib/ExtUtils/MakeMaker.pm ExtUtils-MakeMaker-7.04/lib/ExtUtils/MakeMaker.pm
--- ExtUtils-MakeMaker-7.04.orig/lib/ExtUtils/MakeMaker.pm	2014-12-02 13:44:33.000000000 +0100
+++ ExtUtils-MakeMaker-7.04/lib/ExtUtils/MakeMaker.pm	2015-02-25 23:54:03.373862321 +0100
@@ -2348,13 +2348,13 @@
 When true, suppresses the generation of MYMETA.yml and MYMETA.json module
 meta-data files during 'perl Makefile.PL'.
 
-Defaults to false.
+Defaults to true.
 
 =item NO_PACKLIST
 
 When true, suppresses the writing of C<packlist> files for installs.
 
-Defaults to false.
+Defaults to true.
 
 =item NO_PERLLOCAL
 
diff -ruN ExtUtils-MakeMaker-7.04.orig/t/INSTALL_BASE.t ExtUtils-MakeMaker-7.04/t/INSTALL_BASE.t
--- ExtUtils-MakeMaker-7.04.orig/t/INSTALL_BASE.t	2014-11-11 14:50:52.000000000 +0100
+++ ExtUtils-MakeMaker-7.04/t/INSTALL_BASE.t	2015-02-25 23:59:00.383878929 +0100
@@ -42,7 +42,7 @@
 ok( chdir('Big-Dummy'), "chdir'd to Big-Dummy") || diag("chdir failed; $!");
 
 for my $instdir (@INSTDIRS) {
-  my @mpl_out = run(qq{$perl Makefile.PL "INSTALL_BASE=$instdir"});
+  my @mpl_out = run(qq{$perl Makefile.PL "INSTALL_BASE=$instdir" NO_PERLLOCAL=0 NO_PACKLIST=0});
 
   cmp_ok( $?, '==', 0, 'Makefile.PL exited with zero' ) ||
     diag(@mpl_out);
diff -ruN ExtUtils-MakeMaker-7.04.orig/t/basic.t ExtUtils-MakeMaker-7.04/t/basic.t
--- ExtUtils-MakeMaker-7.04.orig/t/basic.t	2014-11-11 14:50:52.000000000 +0100
+++ ExtUtils-MakeMaker-7.04/t/basic.t	2015-02-25 23:56:51.161871703 +0100
@@ -59,7 +59,7 @@
 
 sub extrachar { $] > 5.008 && !$ENV{PERL_CORE} ? utf8::decode(my $c='š') : 's' }
 my $DUMMYINST = '../dummy-in'.extrachar().'tall';
-my @mpl_out = run(qq{$perl Makefile.PL "PREFIX=$DUMMYINST"});
+my @mpl_out = run(qq{$perl Makefile.PL "PREFIX=$DUMMYINST" NO_PERLLOCAL=0 NO_PACKLIST=0});
 END { rmtree $DUMMYINST; }
 
 cmp_ok( $?, '==', 0, 'Makefile.PL exited with zero' ) ||
